Name:           eblook
Version:        1.6.1
Release:        13%{?dist}
Summary:        Command-line EB and EPWING dictionary search program

Group:          Applications/Text
License:        GPLv2+
URL:            http://openlab.ring.gr.jp/edict/eblook/
Source0:        http://openlab.ring.gr.jp/edict/eblook/dist/%{name}-%{version}.tar.gz
Patch0:         eblook-strcpy.patch
Patch1:         eblook-size_t.patch
Patch2:         eblook-ssize_t.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  eb-devel

%description
Command-line EB and EPWING dictionary search program.


%prep
%setup -q
%patch0 -p1
%patch1 -p2
%patch2 -p1
for i in NEWS README; do
    iconv -f ISO-2022-JP -t UTF-8 $i > ${i}.UTF-8
    mv ${i}.UTF-8 $i
done


%build
%configure --with-eb-conf=%{_libdir}/eb.conf
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# convert info file to utf-8
( cd $RPM_BUILD_ROOT%{_infodir}
  %{_bindir}/iconv -f EUC-JP -t UTF-8 eblook.info > eblook.info.utf8 && mv -f eblook.info{.utf8,} || rm eblook.info.utf8
)

rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/eblook.info* %{_infodir}/dir \
        --section="CD-ROM Book Utilities" || :


%preun
if [ $1 = 0 ] ;then
/sbin/install-info %{_infodir}/eblook.info* %{_infodir}/dir \
        --section="CD-ROM Book Utilities" || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/eblook
%{_infodir}/eblook.info*


%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 18 2010 Daiki Ueno <dueno@redhat.com> - 1.6.1-10
- apply a patch for ssize_t and int confusion, provided by Tatsuya Kinoshita.

* Tue Aug 17 2010 Daiki Ueno <dueno@redhat.com> - 1.6.1-9
- apply a patch for size_t and int confusion, provided by Kazuhiro Ito.

* Fri Apr 16 2010 Daiki Ueno <dueno@redhat.com> - 1.6.1-8
- don't use tabs in this spec.
- change the encoding of Japanese docs to UTF-8.

* Fri Apr 16 2010 Daiki Ueno <dueno@redhat.com> - 1.6.1-7
- fix wrong usage of strcpy (closes #579610).

* Mon Aug 31 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.6.1-6
- F-12: Rebuild against new eb

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 Jens Petersen <petersen@redhat.com> - 1.6.1-3
- rebuild with gcc43

* Fri Aug 10 2007 Jens Petersen <petersen@redhat.com>
- specify license is GPLv2+

* Wed Feb 14 2007 Jens Petersen <petersen@redhat.com> - 1.6.1-2
- convert info file to utf-8
- configure --with-eb-conf

* Mon Feb 12 2007 Jens Petersen <petersen@redhat.com> - 1.6.1-1
- initial packaging for Fedora (#228243)
